#
# spec file for package cdcons (Version 2.3)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gpp libgpp
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         cdcons
Copyright:    GPL
Group:        Applications/Multimedia 
Provides:     cd-console 
Autoreqprov:  on
Version:      2.3
Release:      222
Summary:      Console CD Player
Source:       cd-console-%{version}.tar.bz2
Source1:      COPYING
Patch:        cd-console-%{version}.dif
BuildRoot:    /var/tmp/%{name}-build

%description
A small CD Player that runs on the text console.

Authors:
--------
    Osku Salerma <osku@iki.fi>

SuSE series: ap

%prep
%setup -n cd-console-%{version}
%patch
cp %{S:1} .

%build
make

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/usr/bin
install -s -m 755 cd-console $RPM_BUILD_ROOT/usr/bin

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc BUGS README CHANGES TODO COPYING
/usr/bin/cd-console

%changelog -n cdcons
* Mon Jul 23 2001 - cihlar@suse.cz
- compile by g++, not gcc
- added libgpp to neededforbuild
* Mon Apr 30 2001 - cihlar@suse.cz
- Added file with license, author has send me e-mail
  that the program is under GPL
* Wed Jan 24 2001 - cihlar@suse.cz
- fixed to compile on ia64
* Mon Oct 30 2000 - cihlar@suse.cz
- fixed file list
* Tue Oct 17 2000 - cihlar@suse.cz
- fixed to work with CD-ROM which does not allow
  ioctl(fd, CDROMPLAYTRKIND, ...)
- fixed Copyright tag
* Mon May 15 2000 - cihlar@suse.cz
- Group sorted
* Tue Apr 04 2000 - cihlar@suse.cz
- upgrade to version 2.3
- added BuildRoot
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Feb 10 1999 - ro@suse.de
- really build from sources
* Fri May 02 1997 - maddin@suse.de
- first S.u.S.E. version 1.1
- documentation to /usr/doc/packages/cdcons
